Core - Task # 54012

Epic # 55070 (Accepted): Workpackages

Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54263 (Resolved): As an Integrator | want to have my metadata present at places when using files

Status: Resolved Priority: Must have

Author: Alexander Stehlik Category: File Abstraction Layer (FAL)
Created: 2013-11-27 Assigned To: Steffen Ritter

Updated: 2014-01-23 Due date:

TYPOS3 Version: 6.2

PHP Version: 5.4

Complexity: easy

Sprint Focus:

Subject: Inconsistent hasProperty method for files

Description

The hasProperty() method defined in the AbstractFile class is not valid for instances of the real File object.

Since the real File is also looking in its metaDataProperties the hasProperty() method should also checks these when it tries to

determine if a property exists.

Currently hasProperty() would return FALSE, even if the requested property is available in the meta data.

Associated revisions

Revision c108a378 - 2014-01-23 23:25 - Steffen Ritter
[BUGFIX] hasProperty ignores meta data properties
Since the split of sys_file to sys_file_metadata the data

is stored in different arrays. The hasProperty method of
AbstractFile is not overriden in File to consider that change.

Resolves: #54012

Releases: 6.2

Change-Id: lab2b55e56795033c77c1e3f2969d927ba71a4ceb

Reviewed-on: https://review.typo3.0rg/26688

Reviewed-by: Alexander Stehlik
Tested-by: Alexander Stehlik
Reviewed-by: Frans Saris
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2013-11-30 16:01 - Steffen Ritter

- Status changed from New to Accepted

- Assigned To set to Steffen Ritter

- Priority changed from Should have to Must have
- Estimated time set to 2.00

#2 - 2013-12-07 15:09 - Steffen Ritter
https://review.typo3.org/26688

- Parent task set to #54263
#3 - 2014-01-08 09:17 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26688

#4 - 2014-01-08 09:17 - Steffen Ritter
- % Done changed from 0 to 70

#5 - 2014-01-08 20:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26688

#6 - 2014-01-18 16:11 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26688

#7 - 2014-01-23 23:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:c108a3782506c0b61fbf46f3641452e253f46d7b.
